%global momorel 2
%global qtver 4.4.0
%global kdever 4.0.85
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: A powerfull batch renamer for KDE
Name: krename
Version: 3.9.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.krename.net/
Group: User Interface/X
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake >= 2.4.8-5m
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: libart_lgpl-devel
BuildPreReq: libjpeg-devel
BuildPreReq: libpng-devel
BuildPreReq: taglib-devel
BuildPreReq: zlib-devel

%description
Krename is a very powerful batch file renamer for KDE3 which can rename
a list of files based on a set of expressions. It can copy/move the files
to another directory or simply rename the input files.
Krename supports many conversion operations, including conversion of a 
filename to lowercase or to uppercase, conversion of the first letter
of every word to uppercase, adding numbers to filenames, finding and
replacing parts of the filename, and many more.
It can also change access and modification dates, permissions, and file
ownership.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# install icons
mkdir -p %{buildroot}%{_kde4_iconsdir}/hicolor/{32x32,48x48}/apps
mkdir -p %{buildroot}%{_kde4_iconsdir}/locolor/{16x16,32x32}/apps
install -m 644 src/pics/hi32-app-krename.png %{buildroot}%{_kde4_iconsdir}/hicolor/32x32/apps/krename.png
install -m 644 src/pics/hi48-app-krename.png %{buildroot}%{_kde4_iconsdir}/hicolor/48x48/apps/krename.png
install -m 644 src/pics/lo16-app-krename.png %{buildroot}%{_kde4_iconsdir}/locolor/16x16/apps/krename.png
install -m 644 src/pics/lo32-app-krename.png %{buildroot}%{_kde4_iconsdir}/locolor/32x32/apps/krename.png

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/krename.png %{buildroot}%{_datadir}/pixmaps/krename.png

# install desktop files
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --add-category X-KDE-Utilities-File \
  src/krename.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README TODO
%{_kde4_bindir}/krename
%{_kde4_datadir}/applications/kde4/krename.desktop
%{_kde4_appsdir}/dolphin/servicemenus/krename*.desktop
%{_kde4_iconsdir}/*/*/apps/krename.png
%{_datadir}/pixmaps/krename.png

%changelog
* Mon Jul 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.9.1-2m)
- install missing icons

* Sun Jul 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.9.1-1m)
- version 3.9.1
- install menu entry again
- add BPR: taglib-devel

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.9.0-3m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.9.0-2m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.9.0-1m)
- update to 3.9.0 for KDE4

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.14-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.14-2m)
- %%NoSource -> NoSource

* Mon Mar 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.14-1m)
- version 3.0.14

* Mon Mar 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.13-2m)
- update desktop.patch (add Japanese message to krenameservicemenu.desktop)

* Fri Dec 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.13-1m)
- version 3.0.13

* Sat Sep 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.12-1m)
- version 3.0.12
- update desktop.patch
- good-bye desktop-file-utils

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.11-3m)
- rebuild against arts-1.5.4-2m kdelibs-3.5.4-3m

* Wed Apr 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.11-2m)
- add X-KDE-Utilities-File to Categories of krename.desktop

* Wed Mar  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.11-1m)
- initial package for Momonga Linux (thanks, JW)
